<html>
<head>
    <meta charset="UTF-8">
    <title>Bootstrapping Lesson 1.1 | Manual Initialization</title>
</head>
<body>
    <!-- myApp Module Template -->
    <div ng-controller="MyController">
        Hello {{ greetMe }}!
    </div>

    <script src="http://code.angularjs.org/snapshot/angular.js"></script>

    <script>
        // Declaring an Angular Module
        angular.module('myApp', []).controller('MyController', ['$scope', $scope => {
            $scope.greetMe = 'World';
        }]);

        // Include myApp Module on Bootstrap
        angular.element(() => {
            angular.bootstrap(document, ['myApp']);
        });

        /**
         * Things to keep in mind!!!
         * 
         * There are a few things to keep in mind regardless of automatic or manual bootstrapping:
         * While it's possible to bootstrap more than one AngularJS application per page, 
         * we don't actively test against this scenario. It's possible that you'll run into problems, 
         * especially with complex apps, so caution is advised.
         * 
         * Do not bootstrap your app on an element with a directive that uses transclusion, 
         * such as ngIf, ngInclude and ngView. 
         * 
         * Doing this misplaces the app $rootElement and the app's injector, causing animations 
         * to stop working and making the injector inaccessible from outside the app.
         */
    </script>
</body>
</html>
